#!perl
use Alien::Base::ModuleBuild;
Alien::Base::ModuleBuild->new(
    dist_name => 'Alien-QREncode',
    module_name => 'Alien::QREncode',

    alien_name => 'qrencode',
    alien_inline_auto_include => ['qrencode.h'],
    alien_repository => {
        protocol => 'https',
        host => 'fukuchi.org',
        location => '/works/qrencode/index.html.en',
        pattern => qr{^qrencode-(.*?)\.tar\.bz2$},
    },
    configure_requires  => { 'Alien::Base::ModuleBuild' => '0.022' },
    alien_version_check => '%{pkg_config} --atleast-version 3.4.4 %n && %{pkg_config} --modversion %n',

    license => 'gpl',
)->create_build_script;
